"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_aws_lambda_1 = require("@goldstack/utils-aws-lambda");
const utils_sh_1 = require("@goldstack/utils-sh");
const path_1 = __importDefault(require("path"));
const templateLambdaApiBuild_1 = require("./templateLambdaApiBuild");
const fs_1 = __importDefault(require("fs"));
jest.setTimeout(30000);
describe('Testing lambda build', () => {
    it('Should build lambda', async () => {
        const fileToBuild = path_1.default.resolve('./testData/build-test/index.ts');
        expect(fs_1.default.existsSync(fileToBuild)).toEqual(true);
        await (0, templateLambdaApiBuild_1.buildLambdas)('./testData/build-test', [
            {
                path: '/index',
                relativeFilePath: 'index.ts',
                name: 'test-lambda-index',
                absoluteFilePath: fileToBuild,
                route: 'ANY /',
                type: utils_aws_lambda_1.RouteType.FUNCTION,
            },
        ]);
        const generated = (0, utils_sh_1.read)('./distLambda/index/lambda.js');
        expect(generated.length).toBeGreaterThan(100);
    });
    it('Should build lambda with custom esbuild config', async () => {
        await (0, templateLambdaApiBuild_1.buildLambdas)('./testData/build-test', [
            {
                path: '/customBuild',
                relativeFilePath: 'customBuild.ts',
                name: 'test-lambda-customBuild',
                absoluteFilePath: path_1.default.resolve('./testData/build-test/customBuild.ts'),
                route: 'ANY /',
                type: utils_aws_lambda_1.RouteType.FUNCTION,
            },
        ]);
        const generated = (0, utils_sh_1.read)('./distLambda/customBuild/lambda.js');
        expect(generated).toContain('Custom config in operation');
    });
});
//# sourceMappingURL=templateLambdaApiBuild.spec.js.map