import path from 'path';
import { buildLambdas } from './../src/templateLambdaApiBuild';
import { RouteType } from '@goldstack/utils-aws-lambda';

const fileToBuild = path.resolve('./testData/build-test/index.ts');

(async () => {
  await buildLambdas('./testData/build-test', [
    {
      path: '/index',
      relativeFilePath: 'index.ts',
      name: 'test-lambda-index',
      absoluteFilePath: fileToBuild,
      route: 'ANY /',
      type: RouteType.FUNCTION,
    },
  ]);
})().then(() => {
  console.log('done');
});
